Package org.eclipse.net4j.util.om.trace

## Class Tracer

- java.lang.Object
- - org.eclipse.net4j.util.om.trace.Tracer

- All Implemented Interfaces:
    `OMTracer`

      public class Tracer
      extends java.lang.Object
      implements OMTracer

  The default implementation of a `tracer`.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PROP_DISABLE_TRACING` |
    `static java.lang.String` | `PROP_DISABLE_TRACING_OPTIONS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Tracer​(OMBundle bundle, java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OMTraceHandlerEvent` | `format​(java.lang.Class<?> context, java.lang.String pattern, java.lang.Object... args)` |
    `OMTraceHandlerEvent` | `format​(java.lang.Class<?> context, java.lang.String pattern, java.lang.Throwable t, java.lang.Object... args)` |
    `OMBundle` | `getBundle()` |
    `java.lang.String` | `getFullName()` |
    `java.lang.String` | `getName()` |
    `OMTracer` | `getParent()` |
    `boolean` | `isEnabled()` |
    `void` | `setEnabled​(boolean enabled)` |
    `java.lang.String` | `toString()` |
    `OMTraceHandlerEvent` | `trace​(java.lang.Class<?> context, java.lang.String msg)` |
    `OMTraceHandlerEvent` | `trace​(java.lang.Class<?> context, java.lang.String msg, java.lang.Throwable t)` |
    `OMTraceHandlerEvent` | `trace​(java.lang.Class<?> context, java.lang.Throwable t)` |
    `void` | `trace​(OMTraceHandlerEvent event)` |
    `OMTracer` | `tracer​(java.lang.String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROP_DISABLE_TRACING

          public static final java.lang.String PROP_DISABLE_TRACING

      Since:
        3.0
      See Also:
        Constant Field Values

    - #### PROP_DISABLE_TRACING_OPTIONS

          public static final java.lang.String PROP_DISABLE_TRACING_OPTIONS

      Since:
        3.6
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Tracer

          public Tracer​(OMBundle bundle,
                        java.lang.String name)

  - ### Method Detail

    - #### getBundle

          public OMBundle getBundle()

      Specified by:
        `getBundle` in interface `OMTracer`

    - #### getParent

          public OMTracer getParent()

      Specified by:
        `getParent` in interface `OMTracer`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `OMTracer`

    - #### getFullName

          public java.lang.String getFullName()

      Specified by:
        `getFullName` in interface `OMTracer`

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `OMTracer`

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Specified by:
        `setEnabled` in interface `OMTracer`

    - #### trace

          public void trace​(OMTraceHandlerEvent event)

      Specified by:
        `trace` in interface `OMTracer`

    - #### trace

          public OMTraceHandlerEvent trace​(java.lang.Class<?> context,
                                           java.lang.String msg,
                                           java.lang.Throwable t)

      Specified by:
        `trace` in interface `OMTracer`

    - #### format

          public OMTraceHandlerEvent format​(java.lang.Class<?> context,
                                            java.lang.String pattern,
                                            java.lang.Throwable t,
                                            java.lang.Object... args)

      Specified by:
        `format` in interface `OMTracer`

    - #### format

          public OMTraceHandlerEvent format​(java.lang.Class<?> context,
                                            java.lang.String pattern,
                                            java.lang.Object... args)

      Specified by:
        `format` in interface `OMTracer`

    - #### trace

          public OMTraceHandlerEvent trace​(java.lang.Class<?> context,
                                           java.lang.String msg)

      Specified by:
        `trace` in interface `OMTracer`

    - #### trace

          public OMTraceHandlerEvent trace​(java.lang.Class<?> context,
                                           java.lang.Throwable t)

      Specified by:
        `trace` in interface `OMTracer`

    - #### tracer

          public OMTracer tracer​(java.lang.String name)

      Specified by:
        `tracer` in interface `OMTracer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`